# Generated by Django 2.1.5 on 2019-01-28 17:37

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('matchesapi', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Deliveries',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('inning', models.IntegerField(default=0)),
                ('batting_team', models.CharField(max_length=100)),
                ('bowling_team', models.CharField(max_length=100)),
                ('over', models.IntegerField(default=0)),
                ('ball', models.IntegerField(default=0)),
                ('batsman', models.CharField(max_length=100)),
                ('non_striker', models.CharField(max_length=100)),
                ('bowler', models.CharField(max_length=100)),
                ('is_super_over', models.IntegerField(default=0)),
                ('wide_runs', models.IntegerField(default=0)),
                ('bye_runs', models.IntegerField(default=0)),
                ('legbye_runs', models.IntegerField(default=0)),
                ('noball_runs', models.IntegerField(default=0)),
                ('penalty_runs', models.IntegerField(default=0)),
                ('batsman_runs', models.IntegerField(default=0)),
                ('extra_runs', models.IntegerField(default=0)),
                ('total_runs', models.IntegerField(default=0)),
                ('player_dismissed', models.CharField(max_length=100)),
                ('dismissal_kind', models.CharField(max_length=100)),
                ('fielder', models.CharField(max_length=100)),
                ('match_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='matchesapi.Matches')),
            ],
            options={
                'db_table': 'DELIVEIRES',
            },
        ),
    ]
